
includeTargets << new File("${basedir}/scripts/_UpdateRev.groovy")

eventCompileStart = { msg ->
    if(System.getProperty("grails.env") != "test") {
        println "Compile started, checking VCS Revision."
        updateVcsRevision()
    }
}

// Prevent interactive requests when a plugin is installed/un-installed.
// http://ldaley.com/post/2616518761/disabling-grails-plugin-upgrade-confirmation
def resolveDependenciesWasInteractive = false
eventResolveDependenciesStart = {
    resolveDependenciesWasInteractive = isInteractive
    isInteractive = false
}

eventResolveDependenciesEnd = {
    isInteractive = resolveDependenciesWasInteractive
}

